//###########################################################################//
//
//Project :   Solid Works  v 0.94 Beta  for Ti 89
//
//Author:  David Coz      
//
//Mail  :  coz.hubert@infonie.fr
//
// A simple Clock
//
//Created 10/05/2002; 00:21:07
//
//############################################################################//



#define OPTIMIZE_ROM_CALLS     // Use ROM Call Optimization


#include <tigcclib.h> 


//clock definition,thanks to Thomas Nussbaumer
INT_HANDLER oldint5 = NULL;

volatile int mseconds50 = 0; 
volatile int reset=1;
volatile int run =1;

DEFINE_INT_HANDLER (myint5handler) {
	    //----------------------------------------------
    // if resettime is not 0 all clock variables are
    // reset to 0
    //----------------------------------------------
    if (reset) reset=mseconds50=0;
    if (run)
    mseconds50++;
 ExecuteHandler(oldint5);
}
